import PropTypes from 'prop-types';
import React from 'react';
import cx from 'classnames';

var isChecked = function isChecked(_temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      _ref$selectedValues = _ref.selectedValues,
      selectedValues = _ref$selectedValues === void 0 ? [] : _ref$selectedValues,
      value = _ref.value;

  return selectedValues.indexOf(value) !== -1;
};

var labelClassName = function labelClassName(_ref2) {
  var _cx;

  var classNameItem = _ref2.classNameItem,
      checked = _ref2.checked,
      value = _ref2.value;
  return cx('sui-FormCheckboxList-label', (_cx = {
    'is-active': checked
  }, _cx[classNameItem + " " + classNameItem + "--" + value] = !!classNameItem, _cx));
};

var FormCheckboxList = function FormCheckboxList(_ref3) {
  var classNameItem = _ref3.classNameItem,
      handleChange = _ref3.handleChange,
      name = _ref3.name,
      options = _ref3.options,
      selectedValues = _ref3.selectedValues;
  return React.createElement("div", {
    className: "sui-FormCheckboxList"
  }, options.map(function (_ref4, index) {
    var value = _ref4.value,
        label = _ref4.label,
        _ref4$checked = _ref4.checked,
        checked = _ref4$checked === void 0 ? isChecked({
      selectedValues: selectedValues,
      value: value
    }) : _ref4$checked;
    return React.createElement("label", {
      key: index,
      className: labelClassName({
        checked: checked,
        classNameItem: classNameItem,
        value: value
      })
    }, React.createElement("input", {
      checked: checked,
      className: "sui-FormCheckboxList-input",
      name: name,
      onChange: handleChange,
      type: "checkbox",
      value: value
    }), label);
  }));
};

FormCheckboxList.displayName = 'FormCheckboxList';
export default FormCheckboxList;